/**************************/
/* BELOW 1200px (Landscape Tablets) */
/**************************/

@media (max-width: 75em) {
  html {
    font-size: 68%;
  }
}

.task {
  grid-template-columns: 1fr 8fr 3fr;
}

.task-description {
  margin-top: 5px;
}

/**************************/
/* BELOW 944px (Tablets) */
/**************************/

@media (max-width: 59em) {
  html {
    font-size: 64%;
  }

  .grid-task-section {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
  }
  .to-do-radio-btn {
    justify-self: center;
  }

  .task-container {
    gap: 3.6rem;
  }

  .task-container {
    padding-top: 0;
  }

  .margin-top {
    padding-top: 7.2rem;
  }

  .btn {
    padding: 0.5rem 1rem;
    font-weight: 500;
    font-size: 1.4rem;
  }

  .task-title {
    margin-bottom: 0px;
  }

  .task-description {
    margin-top: 5px;
  }
}

/**************************/
/* BELOW 704px (Smaller tablets) */
/**************************/

@media (max-width: 44em) {
  html {
    font-size: 60%;
  }

  .add-task-form {
    font-size: 1.8rem;
    display: grid;
    row-gap: 1.2rem;
    padding: 1.8rem 1.2rem;
  }

  .add-task-form input {
    font-size: inherit;
  }

  .deadline-option {
    padding: 0.3rem 0.5rem;
  }

  .task-title {
    margin-bottom: 0px;
  }

  .task-description {
    margin-top: 5px;
  }

  .btns {
    margin-top: 2rem;
  }

  .modal-window {
    padding: 1.6rem 2.2rem;
  }

  .modal-btn {
    padding: 0.6rem 0.9rem;
  }
}

/**************************/
/* BELOW 544px (Phones) */
/**************************/

@media (max-width: 34em) {
  html {
    font-size: 56%;
  }

  .quote {
    font-size: 1.4rem;
  }

  .grid-task-section {
    padding-bottom: 6.4rem;
  }

  body {
    padding-bottom: 2rem;
  }

  .task {
    line-height: 1.2;
    font-size: 1.8rem;
    padding: 0.8rem 1.2rem;
    padding-left: 0rem;
    padding-bottom: 1.2rem;
    align-items: center;
  }

  .task-title {
    margin-bottom: 0px;
  }

  .container-grid-task-done {
    padding: 1.2rem 2.4rem;
    padding-bottom: 2rem;
    font-size: 1.4rem;
    gap: 1.2rem;
    flex-direction: column;
  }

  .task-description {
    margin-top: 3px;
  }

  .add-task-form {
    font-size: 1.8rem;
    display: grid;
    grid-template-columns: 1fr;
    row-gap: 2.6rem;
  }

  .input-task-title {
    font-size: 1.8rem;
  }
  .input-task-description {
    font-size: 1.8rem;
  }

  .input-task-description::placeholder {
    font-size: 1.8rem;
  }

  .option {
    transform: scale(1);
    margin-right: 0.4rem;
  }

  .input-radio-priority {
    text-align: center;
    font-size: 1.6rem;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .deadline-option {
    padding: 0.1rem 0.2rem;
    width: 50%;
  }

  .select-time-options {
    justify-self: flex-start;
    grid-column: 1/-1;
  }
  .btn {
    padding: 0.4rem 0.8rem;
    font-weight: 500;
    font-size: 1.4rem;
  }
  .task-container {
    gap: 3rem;
    flex-shrink: 0;
  }

  .input-priority-options {
    grid-column: 1/-1;
    width: 100%;
  }

  .select-time-options {
    width: 100%;
  }

  .modal-window {
    width: 80%;
    padding: 1.4rem 1.8rem;
  }

  .modal-btn {
    padding: 0.4rem 0.8rem;
  }
}

@media (max-width: 28em) {
  html {
    font-size: 52%;
  }

  .btns {
    margin-top: 1.6rem;
  }

  .modal-window {
    padding: 1.2rem 1.6rem;
  }

  .modal-btn {
    padding: 0.4rem 0.8rem;
  }
}
